diff mbox series

[OpenWrt-Devel,1/5] scripts/env: use explicit find location

Message ID 20200101020146.21043-1-rosenp@gmail.com
State Accepted
Headers show
Series [OpenWrt-Devel,1/5] scripts/env: use explicit find location | expand

Commit Message

Rosen Penev Jan. 1, 2020, 2:01 a.m. UTC
Some find binaries do not imply the current directory.

Found with shellcheck.

Signed-off-by: Rosen Penev <rosenp@gmail.com>
---
 scripts/env | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff mbox series

Patch

diff --git a/scripts/env b/scripts/env
index 69b63895b4..fd49e1c817 100755
--- a/scripts/env
+++ b/scripts/env
@@ -136,7 +136,7 @@  env_clear() {
 	env_init
 	[ -L "$BASEDIR/.config" ] && rm -f "$BASEDIR/.config"
 	[ -L "$BASEDIR/files" ] && rm -f "$BASEDIR/files"
-	[ -f "$ENVDIR/.config" ] || ( cd "$ENVDIR/files" && find | grep -vE '^\.$' > /dev/null )
+	[ -f "$ENVDIR/.config" ] || ( cd "$ENVDIR/files" && find . | grep -vE '^\.$' > /dev/null )
 	env_sync_data
 	if ask_bool 1 "Do you want to keep your current config and files"; then
 		mkdir -p "$BASEDIR/files"